"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path_1 = require("path");
async function copyFolderRecursiveSync(source, target) {
    if (!(0, fs_1.existsSync)(target))
        (0, fs_1.mkdirSync)(target);
    const files = (0, fs_1.readdirSync)(source);
    files.forEach(async (file) => {
        const sourcePath = (0, path_1.join)(source, file);
        const targetPath = (0, path_1.join)(target, file);
        if ((0, fs_1.lstatSync)(sourcePath).isDirectory()) {
            copyFolderRecursiveSync(sourcePath, targetPath);
        }
        else {
            (0, fs_1.copyFileSync)(sourcePath, targetPath);
        }
    });
}
exports.default = copyFolderRecursiveSync;
